// Fungsi untuk mengecek apakah suatu string merupakan angka
function isNumeric(value: any) {
  return !isNaN(value - parseFloat(value));
}

// Fungsi untuk memvalidasi formula number berderet
export function validateFormula(formula: any) {
  for (let i = 0; i < formula.length - 1; i++) {
    if (isNumeric(formula[i]?.name) && isNumeric(formula[i + 1]?.name)) {
      return false; // Formula tidak valid
    }
  }
  return true; // Formula valid
}
